libmemcached 1.0.14 missing config.h

Bug #1079995 reported by Remi Collet on 2012-11-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libmemcached
Medium
Brian Aker

Bug Description

When trying to build with --enable-libmemcachedprotocol
  CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-binary_handler.lo
In file included from libmemcachedprotocol/binary_handler.c:37:0:
./libmemcachedprotocol/common.h:39:20: fatal error: config.h: No such file or directory
compilation terminated.
In file included from libmemcachedprotocol/ascii_handler.c:37:0:
./libmemcachedprotocol/common.h:39:20: fatal error: config.h: No such file or directory
compilation terminated.
  CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-cache.lo
  CC libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-handler.lo
make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-binary_handler.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-ascii_handler.lo] Error 1
In file included from libmemcachedprotocol/handler.c:38:0:
./libmemcachedprotocol/common.h:39:20: fatal error: config.h: No such file or directory
compilation terminated.
libmemcachedprotocol/cache.c:38:20: fatal error: config.h: No such file or directory
compilation terminated.
make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-handler.lo] Error 1
make[1]: *** [libmemcachedprotocol/libmemcached_libmemcachedprotocol_la-cache.lo] Error 1
make[1]: Leaving directory `/dev/shm/extras/BUILD/libmemcached-1.0.14'
make: *** [all] Error 2

When trying to build with --enable-memaslap
  CC clients/ms_conn.o
clients/memaslap.c:16:20: fatal error: config.h: No such file or directory
compilation terminated.
  CC clients/ms_setting.o
clients/ms_setting.c:12:20: fatal error: config.h: No such file or directory
compilation terminated.
clients/ms_conn.c:12:20: fatal error: config.h: No such file or directory
compilation terminated.
make[1]: *** [clients/memaslap.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [clients/ms_conn.o] Error 1
make[1]: *** [clients/ms_setting.o] Error 1
make[1]: Leaving directory `/dev/shm/extras/BUILD/libmemcached-1.0.14'
make: *** [all] Error 2
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.UPzRqj (%build)

Related branches

Brian Aker (brianaker) on 2012-11-20
Changed in libmemcached:
milestone: none → 1.0.15
assignee: nobody → Brian Aker (brianaker)
importance: Undecided → Medium
status: New → In Progress
Brian Aker (brianaker) on 2012-12-23
Changed in libmemcached:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers